KB: Is SQL Server 2016 supported?

The free tools should work with Microsoft SQL Server 2016. However, SQL XEvent Profiler does not install when the standalone SQL Server Management Tools released in June 2016 is installed. SQL XEvent Profiler requires SQL Server Management Tools 2012 or 2014 to be installed.

Refer also to the post What are the latest versions of the free tools? and the post How to find the system requirements for free tools?.